<?php

namespace Modules\Am\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Asset;
use Modules\Am\Entities\Building;
use Modules\Am\Entities\Floor;
use Modules\Am\Entities\Room;
use Modules\Am\Entities\Unit;
use Modules\Am\Http\common\commonFeatures;

class LocationController extends Controller
{
   use commonFeatures;


    public function isRelated(Request $request, $id)
    {
        $related = $request->get('related');
        $related1 = [];
        $related2 = [];
        $related3 = [];
        if ($related == 'Site') {
            $related1 = Asset::where('SiteID', '=', $id)->get();
            $related2 = Building::where('SiteID', '=', $id)->get();
        } else if ($related == 'Building') {
            $related1 = Asset::where('BuildingID', '=', $id)->get();
            $related2 = Floor::where('BuildingID', '=', $id)->get();
        } else if ($related == 'Floor') {
            $related1 = Asset::where('FloorID', '=', $id)->get();
            $related2 = Unit::where('FloorID', '=', $id)->get();
            $related3 = Room::where('FloorID', '=', $id)->get();
        } else if ($related == 'Unit') {
            $related1 = Asset::where('UnitID', '=', $id)->get();
        } else if ($related == 'Room') {
            $related1 = Asset::where('RoomID', '=', $id)->get();
        }

        return (count($related1) > 0 || count($related2) > 0 || count($related3) > 0);
    }
}
