console.log('depreciationShedule loading');

$(document).ready(function () {

    $('#btnPrint').on('click', function () {
        var id =$('#hiddenassetid').val();
        // alert(id);
        print(id);
    });

    loadasset();
    loadassetid();
});

function  autoCompleteSelectedOption(input,data){
    loadMatchingIdName(input,data);

    $('#hiddenassetid').val(data.id);
}


function loadMatchingIdName(input,data){

    if(input.id=='txtassetname'){

        $.ajax({
            type: 'GET',
            url: '/am/depreciationShedule/getassetNotoid/' + data.id,
            success: function (response) {
                $('#txtassetno').val(response.result.AssetNo);
            }, error: function (data) {
                console.log('Something went wrong!');
            }
        })

    }
    else if(input.id=='txtassetno'){

        $.ajax({
            type: 'GET',
            url: '/am/depreciationShedule/getassetnametoid/' + data.id,
            success: function (response) {
                console.log(response.result.Asset);

                $('#txtassetname').val(response.result.Asset);

            }, error: function (data) {
                console.log('Something went wrong!');
            }
        })

    }


}

function loadassetid(){
    $.ajax({
        type: "GET",
        url: "/am/depreciationShedule/loadassetid",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#txtassetno').setData(response.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}


function loadasset(){
    $.ajax({
        type: "GET",
        url: "/am/depreciationShedule/loadasset",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#txtassetname').setData(response.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}


var lifetime;
var assetno;
var AssestName;
var PurchaseDate;
var Value;
var SalvageValue;
// var depriciationvalue= Value-SalvageValue/lifetime;
function print(id) {


    $.ajax({
        type: 'GET',
        url: '/am/depreciationShedule/loadassettoprint/'+id,
        success: function(response){
            if (response.success) {
                var result=response.result
                console.log(response.result)
                lifetime=result.lifetime
                AssestName=result.Asset
                PurchaseDate=result.PurchaseDate
                Value=result.Value
                SalvageValue=result.Salvage_value
                assetno=result.AssetNo

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });





    var headerFontSize = 8;
    var Title = [
        { text: 'Depreciation Shedule' }
    ];


    var Header = [
        {
            content: [

                {
                    table: {
                        widths: ['*','*'],
                        headerRows: 1,
                        body: [
                            [{ text: 'Asset  # ', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: 'A00000'+assetno ,border: [false, false, false, false], alignment: 'left'}],
                            [{ text: 'Assest Name   ', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: AssestName ,border: [false, false, false, false], alignment: 'left'}],
                            [{ text: 'Purchase Date ', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: PurchaseDate ,border: [false, false, false, false], alignment: 'left'}],
                            [{ text: 'Value', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: Value ,border: [false, false, false, false], alignment: 'left'}],
                            [{ text: 'Salvage Value', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: SalvageValue ,border: [false, false, false, false], alignment: 'left'}],
                            [{ text: 'Life Time ( Years)', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: lifetime ,border: [false, false, false, false], alignment: 'left'}],



                        ],

                    },
                    margin: [0, 0],
                },

            ]
        }
    ];



    var Body = [
        {
            table: {
                widths: [100,200,'*'],
                headerRows: 1,
                body: reportBody(id),

            },
            margin: [0, 0],
        },
    ];




    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];






    var page = new Page();
    page.setPageSize('A4');
    page.setPageOrientation('portrait');
    page.setPageMargin([10, 10, 10, 10]);
    page.setTitle(Title);
    page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    page.preview();
}


function reportBody(id) {
    // var lifetime;
    // var assetno;
    // var AssestName;
    // var PurchaseDate;
    // var Value;
    // var SalvageValue

    $.ajax({
        type: 'GET',
        url: '/am/depreciationShedule/loadassettoprint/'+id,
        success: function(response){
            if (response.success) {
                var result=response.result
                console.log(response.result)
                lifetime=result.lifetime

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });

    var body = [];
    body.push([
        { text: 'Period', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Depreciation', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Current Value', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] }

    ]);
    var depriciationvalue= (Value-SalvageValue)/lifetime;
    var currentvalue=Value;

    for (i = 1; i <= lifetime; i++) {

        body.push([
            { text: i, fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
            { text: depriciationvalue, fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
            { text: currentvalue-depriciationvalue, fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] }

        ]);
        currentvalue=currentvalue-depriciationvalue;
    }

    return body;
}
