<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Asset;
use Modules\Am\Http\common\commonFeatures;

class LicenseApplicableListController extends Controller
{
    use commonFeatures;

    public function loadData(Request $request){
        try {
                $Asset=Asset::whereBetween('LicenseApplicableDate',[$request->fromdate,$request->todate])
                ->where('LicenseApplicable',true)->get();


                return $this->responseBody(true, "loadasset", "found",$Asset );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadasset", "error", $exception->getMessage());
        }
    }
}
