<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Asset;
use Modules\Am\Http\common\commonFeatures;

class PrintBarcodeController extends Controller
{

    use commonFeatures;
    public function loadBarcodestoPrint(){
        try {
                $Asset=Asset::where('printbarcode_status',false)->get();


                return $this->responseBody(true, "loadBarcodestoPrint", "found",$Asset );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadBarcodestoPrint", "error", $exception->getMessage());
        }
    }
    public function loadBarcodetoPrint($id){
        try {
                $Asset=Asset::where('id',$id)->first();


                return $this->responseBody(true, "loadBarcodetoPrint", "found",$Asset );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadBarcodetoPrint", "error", $exception->getMessage());
        }
    }
}
