class HttpRequest {

    static save(Request) {
        console.log(Request.getFormData());
        var status = false;
        $.ajax({
            type: "POST",
            url: Request.getRoute(),
            data: Request.getFormData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            async: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                status = response.success;
            },
            error: function (error) {
                console.log(error);
                status = false;
            },
            complete: function () {

            }

        });
        return status;
    }



    static update(Request) {
        var status = false;
        $.ajax({
            type: "PUT",
            url: Request.getRoute(),
            data: Request.getFormData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            async: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                status = response.success;
            },
            error: function (error) {
                console.log(error);
                status = false;
            },
            complete: function () {

            }

        });
        return status;
    }


    static _delete(Request) {
        var status = false;
        $.ajax({
            type: 'DELETE',
            url: Request.getRoute(),
            data: Request.getFormData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            async: false,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                status = response.success;
            },
            error: function (error) {
                console.log(error);
                status = false;
            },
            complete: function () {

            }

        });
        return status;
    }



    static isRelated(Request) {

        var related = false;
        $.ajax({
            type: "GET",
            url: Request.getRoute(),
            data: Request.getFormData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            async: false,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                related = response;


            },
            error: function (error) {
                console.log(error);
                related = false;
                toastr.error('Something went wrong');
            },
            complete: function () {

            }

        });

        return related;
    }
}